Set your reaction on a post
PUT /api/member/posts/{postId}/reaction. Set your reaction on a post. Headless LMS Posts API reference.
For anyone who can read the post, while reactions are on for it (403 otherwise). Replaces any reaction you already had and returns the new counts.
Path Parameters
postId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/member/posts/string/reaction" \ -H "Content-Type: application/json" \ -d '{ "emoji": "string" }'{ "reactions": { "property1": -9007199254740991, "property2": -9007199254740991 }, "viewerReaction": "string"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}